.payment-form {
	width: 500px;
}

.payment-form label {
	font-size: 18px;
	font-family: alef;
	font-size: 15px;
	padding-left: 1px;
}

.secure-field--container {
	height: 45px;
	position: relative;
}

.payment-field {
	margin: 20px 0;
}

.secure-field {
	height: 100%;
	position: relative;
	border: 1px solid silver;
	padding: 5px 10px;
	box-sizing: border-box;
}

.secure-field--icon {
	width: 20px;
	height: 20px;
	right: 10px;
	position: absolute;
	top: 50%;
	background-size: contain !important;
	background-repeat: no-repeat !important;
	transform: translate(-0%, -50%);
	background-position: center !important;
}

.card-number--icon {
	width: 20px;
	height: 20px;
	right: 10px;
	position: inherit;
	margin-left: 10px;
	top: 50%;
	background-size: contain !important;
	background-repeat: no-repeat !important;
	transform: translate(-0%, -50%);
	background-position: center !important;
  }

.secure-field--container select {
	padding: 15px 5px;
	width: 100%;
	border: 1px solid silver;
	border-radius: 5px;
}

.payment-form button {
	background-color: #06c;
	color: white;
	border: none;
	padding: 10px 50px;
	cursor: pointer;
}

.v-pulse {
	background-color: white;
	width: 10px;
	height: 10px;
	margin: 2px;
	border-radius: 50%;
	display: inline-block;
	animation-name: v-pulseStretchDelay;
	animation-duration: 0.75s;
	animation-iteration-count: infinite;
	animation-timing-function: cubic-bezier(.2, .68, .18, 1.08);
	animation-fill-mode: both;
}

.card-container {
	height: 45px;
	display:flex;
	flex-wrap: nowrap;
	border: 1px solid silver;
	position: relative;
	padding: 0px 10px;
}

.secure-field .card-container {
	
}

.card-container :nth-child(1) {
	flex-basis: 60%;
	height: 45px;
}

.card-container :nth-child(2) {
	flex-basis: 15%;
}

.card-container :nth-child(3) {
	flex-basis: 25%;
}

.card-field {
	display: flex;
	position: relative;
	display: inline-flex;
	gap: 10px;
  }
  
  .card-field :nth-child(1) {
	flex-basis: 10%;
  }
  
  .card-field :nth-child(2) {
	flex-basis: 90%;
  }
  

.v-pulse1 {
	animation-delay: 0.12s;
}

.v-pulse2 {
	animation-delay: 0.24s
}

.v-pulse3 {
	animation-delay: 0.36s;
}

@-webkit-keyframes v-pulseStretchDelay {
	0%, 80% {
		-webkit-transform: scale(1);
		transform: scale(1);
		-webkit-opacity: 1;
		opacity: 1;
	}
	45% {
		-webkit-transform: scale(0.1);
		transform: scale(0.1);
		-webkit-opacity: 0.7;
		opacity: 0.7;
	}
}

@keyframes v-pulseStretchDelay {
	0%, 80% {
		-webkit-transform: scale(1);
		transform: scale(1);
		-webkit-opacity: 1;
		opacity: 1;
	}
	45% {
		-webkit-transform: scale(0.1);
		transform: scale(0.1);
		-webkit-opacity: 0.7;
		opacity: 0.7;
	}
}

/* only for recurring */
.plan--container {
	padding: 15px;
	background: #ececec;
	border: 1px solid #ececec;
	box-sizing: border-box;
	border-radius: 4px;
}

.plan-name {
	font-weight: bold;
	font-size: 26px;
	line-height: 42px;
}

.plan-trial {
	margin-top: 5px;
	font-size: 13px;
}

.consent--container {
	margin-top: 15px;
	font-size: 12px;
}

